ClickStack: Update Role
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Updates a custom role’s permissions, name, and description. Predefined roles cannot be modified.
PUT
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickstack
/
roles
/
{clickStackRoleId}
ClickStack: Update Role
curl --request PUT \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/roles/{clickStackRoleId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"permissions": [
{
"action": "read",
"subject": "dashboard",
"inverted": false,
"integration": "mongodb",
"conditions": {}
}
],
"name": "Deploy Bot",
"description": "Manages dashboards via Terraform"
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/roles/{clickStackRoleId}"
payload = {
"permissions": [
{
"action": "read",
"subject": "dashboard",
"inverted": False,
"integration": "mongodb",
"conditions": {}
}
],
"name": "Deploy Bot",
"description": "Manages dashboards via Terraform"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
permissions: [
{
action: 'read',
subject: 'dashboard',
inverted: false,
integration: 'mongodb',
conditions: {}
}
],
name: 'Deploy Bot',
description: 'Manages dashboards via Terraform'
})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/roles/{clickStackRoleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "507f1f77bcf86cd799439011",
"name": "Read Only",
"permissions": [
{
"action": "read",
"subject": "dashboard",
"inverted": false,
"integration": "mongodb",
"conditions": {}
}
],
"isPredefined": false,
"description": "Read-only access to all resources",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-06-15T10:30:00.000Z"
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Updates a custom role’s permissions, name, and description. Predefined roles cannot be modified.
ClickStack: Updates a custom role’s permissions, name, and description. Predefined roles cannot be modified.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the ClickStack service.
id parameter
Body
application/json
Last modified on July 22, 2026
Was this page helpful?
Previous
ClickStack: Delete Role**This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> ClickStack: Deletes a custom role. Predefined roles, the team default user role, and roles assigned to users cannot be deleted.
Next
⌘I
ClickStack: Update Role
